# Visualization
TKV2d
Prs2d

# Prs2d_DrawSymbol Class Reference

The primitive symbol for drawing
.

`#include <Prs2d_DrawSymbol.hxx>`

Inheritance diagram for Prs2d_DrawSymbol:

[legend]

## Public Member Functions

Standard_EXPORT | Prs2d_DrawSymbol (const Handle(Graphic2d_GraphicObject)&aGO, const Prs2d_TypeOfSymbol aSymbType, const Standard_Real aX, const Standard_Real aY, const Standard_Real aWidth=10.0, const Standard_Real aHeight=10.0, const Standard_Real anAngle=0.0)
| Creates the predefined marker index <anindex> at position <ax>, <ay> and size <awidth>,<aheight>. //! Trigger - Raises SymbolDefinitionError if the symbol type isn't defined, or the symbol size < aWidth, aHeight > is null. .
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the symbol <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the symbol <me> is picked, Standard_False if not. Warning: Checks only if the point <x>, <y> is in the boundary rectangle of <me> .

## Private Attributes

Prs2d_TypeOfSymbol | myTypeSymb
Standard_ShortReal | myX
Standard_ShortReal | myY
Standard_ShortReal | myWidth
Standard_ShortReal | myHeight
Standard_ShortReal | myAngle

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_DrawSymbol::Prs2d_DrawSymbol | ( | const Handle(Graphic2d_GraphicObject)& | aGO,
|  | const Prs2d_TypeOfSymbol | aSymbType,
|  | const Standard_Real | aX,
|  | const Standard_Real | aY,
|  | const Standard_Real | aWidth = `10.0`,
|  | const Standard_Real | aHeight = `10.0`,
|  | const Standard_Real | anAngle = `0.0`
| ) |

## Member Function Documentation

Standard_EXPORT void Prs2d_DrawSymbol::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT const Prs2d_DrawSymbol::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Standard_Boolean Prs2d_DrawSymbol::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_DrawSymbol::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

## Field Documentation

Standard_ShortReal Prs2d_DrawSymbol::myAngle `[private]`

Standard_ShortReal Prs2d_DrawSymbol::myHeight `[private]`

Prs2d_TypeOfSymbol Prs2d_DrawSymbol::myTypeSymb `[private]`

Standard_ShortReal Prs2d_DrawSymbol::myWidth `[private]`

Standard_ShortReal Prs2d_DrawSymbol::myX `[private]`

Standard_ShortReal Prs2d_DrawSymbol::myY `[private]`

The documentation for this class was generated from the following file:

- Prs2d_DrawSymbol.hxx